Page 1 of 1

Descent Compile Error

Posted: Sun Jul 28, 2013 3:43 am
by Museste
Greetings

Im trying to compile Descent. When I compile I get the following error

D1X-Rebirth: LittleEndian machine detected
D1X-Rebirth: building with OpenGL ES
D1X-Rebirth: including SDL_mixer
using Raspberry Pi vendor libs in /opt/vc
scons: done reading SConscript files.
scons: Building targets ...
Compiling arch/ogl/gr.c ...
arch/ogl/gr.c:54:22: fatal error: GLES/egl.h: No such file or directory
compilation terminated.
scons: *** [arch/ogl/gr.o] Error 1
scons: building terminated because of errors.

I belive I have all the required packages, what have I done wrong?

You guys rock

Re: Descent Compile Error

Posted: Sun Jul 28, 2013 5:39 am
by rpdom
Do you have libgles1-mesa-dev installed?

Re: Descent Compile Error

Posted: Sun Jul 28, 2013 9:16 am
by Museste
Whats the best way to go about that? I used the following from a previous post based on compiling Hurrican

[quote]apt-get install libegl1-mesa libegl1-mesa-dbg libegl1-mesa-dev libegl1-mesa-drivers libegl1-mesa-drivers-dbg libgles1-mesa libgles1-mesa-dbg libgles1-mesa-dev libgles2-mesa libgles2-mesa-dbg libgles2-mesa-dev[/quote]

I got the following

[quote]The following packages have unmet dependencies:
libegl1-mesa : Depends: libwayland0 (= 0.85.0-2) but 1.1.0-0rpi1 is to be installed
libegl1-mesa-drivers : Depends: libwayland0 (= 0.85.0-2) but 1.1.0-0rpi1 is to be installed
E: Unable to correct problems, you have held broken packages.[/quote]

Will tackle this again tommorow :-) Must resist temptation to stay up all night on the pi.

Re: Descent Compile Error

Posted: Sun Jul 28, 2013 9:18 am
by Museste
Sorry for the formatting, still learning how to use the forum